commit:     7ff2f8b4d46812754eb2abb73d8b18059810ef58
Author:     Wes Cilldhaire <wes <AT> sol1 <DOT> com <DOT> au>
AuthorDate: Thu May 11 23:46:30 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun May 14 22:03:55 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ff2f8b4

net-nds/389-ds-base: Update to 1.3.5.17.

Gentoo-Bug: https://bugs.gentoo.org/605432

Acked-by: wibrown <AT> redhat.com
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4609

 net-nds/389-ds-base/389-ds-base-1.3.5.17.ebuild | 124 ++++++++++++++++++++++++
 net-nds/389-ds-base/Manifest                    |   1 +
 2 files changed, 125 insertions(+)

diff --git a/net-nds/389-ds-base/389-ds-base-1.3.5.17.ebuild 
b/net-nds/389-ds-base/389-ds-base-1.3.5.17.ebuild
new file mode 100644
index 00000000000..6fddd0315a5
--- /dev/null
+++ b/net-nds/389-ds-base/389-ds-base-1.3.5.17.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+WANT_AUTOMAKE="1.13"
+
+inherit user eutils multilib flag-o-matic autotools
+
+DESCRIPTION="389 Directory Server (core librares and daemons )"
+HOMEPAGE="http://www.port389.org/";
+SRC_URI="http://www.port389.org/sources/${P}.tar.bz2";
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="autobind auto-dn-suffix debug doc +pam-passthru +dna +ldapi +bitwise 
presence kerberos selinux"
+
+# Pinned to db:4.8 as it is the current stable, can change to a later db 
version < 6 when they stabilize.
+# The --with-db-inc line in econf will need to be updated as well when 
changing db version.
+COMMON_DEPEND="
+       sys-libs/db:4.8
+       >=dev-libs/cyrus-sasl-2.1.19
+       >=net-analyzer/net-snmp-5.1.2
+       >=dev-libs/icu-3.4:=
+       >=dev-libs/nss-3.22[utils]
+       dev-libs/nspr
+       >=dev-libs/svrcore-4.1.2
+       dev-libs/openssl:0=
+       dev-libs/libpcre:3
+       >=dev-perl/perl-mozldap-1.5.3
+       dev-perl/NetAddr-IP
+       net-nds/openldap
+       sys-libs/pam
+       sys-libs/zlib
+       kerberos? ( >=app-crypt/mit-krb5-1.7-r100[openldap] )"
+
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )"
+
+RDEPEND="${COMMON_DEPEND}
+       selinux? ( sec-policy/selinux-dirsrv )
+       virtual/perl-Time-Local
+       virtual/perl-MIME-Base64"
+
+pkg_setup() {
+       enewgroup dirsrv
+       enewuser dirsrv -1 -1 -1 dirsrv
+}
+
+src_prepare() {
+       # as per 389 documentation, when 64bit, export USE_64
+       use amd64 && export USE_64=1
+
+       eautoreconf
+
+       append-lfs-flags
+}
+
+src_configure() {
+       econf \
+               $(use_enable debug) \
+               $(use_enable pam-passthru) \
+               $(use_enable ldapi) \
+               $(use_enable autobind) \
+               $(use_enable dna) \
+               $(use_enable bitwise) \
+               $(use_enable presence) \
+               $(use_with kerberos) \
+               $(use_enable auto-dn-suffix) \
+               --with-initddir=no \
+               --enable-maintainer-mode \
+               --with-fhs \
+               --with-openldap \
+               --sbindir=/usr/sbin \
+               --bindir=/usr/bin \
+               --with-db-inc=/usr/include/db4.8
+
+}
+
+src_compile() {
+       default
+       if use doc; then
+               doxygen slapi.doxy || die "cannot run doxygen"
+       fi
+}
+
+src_install () {
+       # -j1 is a temporary workaround for bug #605432
+       emake -j1 DESTDIR="${D}" install
+
+       # Install gentoo style init script
+       # Get these merged upstream
+       newinitd "${FILESDIR}"/389-ds.initd-r1 389-ds
+       newinitd "${FILESDIR}"/389-ds-snmp.initd 389-ds-snmp
+
+       # cope with libraries being in /usr/lib/dirsrv
+       dodir /etc/env.d
+       echo "LDPATH=/usr/$(get_libdir)/dirsrv" > "${D}"/etc/env.d/08dirsrv
+
+       if use doc; then
+               cd "${S}" || die
+               docinto html/
+               dodoc -r docs/html/.
+       fi
+}
+
+pkg_postinst() {
+       echo
+       elog "If you are planning to use 389-ds-snmp (ldap-agent),"
+       elog "make sure to properly configure: 
/etc/dirsrv/config/ldap-agent.conf"
+       elog "adding proper 'server' entries, and adding the lines below to"
+       elog " => /etc/snmp/snmpd.conf"
+       elog
+       elog "master agentx"
+       elog "agentXSocket /var/agentx/master"
+       elog
+       elog "To start 389 Directory Server (LDAP service) at boot:"
+       elog
+       elog "    rc-update add 389-ds default"
+       elog
+       echo
+}

diff --git a/net-nds/389-ds-base/Manifest b/net-nds/389-ds-base/Manifest
index 241261febdc..4192833b9ed 100644
--- a/net-nds/389-ds-base/Manifest
+++ b/net-nds/389-ds-base/Manifest
@@ -1,2 +1,3 @@
 DIST 389-ds-base-1.3.4.14.tar.bz2 3433905 SHA256 
4408e61c52dc56d8e0ffee530dde70c2af00aa86b385cc40b389ef8bcce55aaa SHA512 
1043b3e3437d1d24d1eec54c5c5ca39692151d05b8eb035224db78e68a1f4011bd2e0916f54609387903e2bbe9345f954be5c0a578f90a107958f74604908d6c
 WHIRLPOOL 
f2bf87c450c870ad1b886000f49f5d1b6def760c9b1634cffe4871da755932d43cb9253bebe12092032359097a7786e9d29fc64d4326fb3a079a79163a2ccc01
 DIST 389-ds-base-1.3.5.15.tar.bz2 3554197 SHA256 
21dd81525422b64d2760144a4dedf1d3351ecdea7e8e40ae97cd7645b2b527fc SHA512 
af1e82f5de80e493241c9d58f0127cd24517e18305ec0ba918bff8b2fa96dc69b32d7172d9b411a544251abfc04098ea9d0c1b41bf9d88e6caaaeae9cb15200b
 WHIRLPOOL 
6f07f20e54dc9e8d7ff2c519d5826f0606d1a2d9113ba2441cdc600790f844f3b02b2d334f111fddaded50e87fc1a6cdca38a5cfe294c4f3d20930b5756c943c
+DIST 389-ds-base-1.3.5.17.tar.bz2 3587553 SHA256 
522420b6decc162ed5d57ca913753b48e4bd7137fa0eb1bbc3e21e45923b1819 SHA512 
5b96b19cea7dc80c64eaade31127d04c228f7e4dc1999ec19b341cf080ee4570757c84e8dae151c2cb3bcebe1398d50238d74ca362ce07fceafcb66fba590833
 WHIRLPOOL 
87728a559a7d71fd025af4ec8cb25bc10384acf1b515184f33f76ddc7cd0eb29562c4c3dbb70652f44f42734578acb1f7fc2deadc0947f4fe8f57a24bcbff39c

Reply via email to